Bug 167700 - [PATCH] sysutils/bacula-server: New changes on sysutils/bacula-* ports
Summary: [PATCH] sysutils/bacula-server: New changes on sysutils/bacula-* ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-08 01:30 UTC by Jose Alonso Cardenas Marquez
Modified: 2012-12-16 16:39 UTC (History)
0 users

See Also:


Attachments
bacula-patch (51.95 KB, application/octet-stream)
2012-11-15 00:10 UTC, Dan Langille
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jose Alonso Cardenas Marquez freebsd_committer 2012-05-08 01:30:10 UTC
- Clean up bacula-* ports (Makefile and pkg-message files)
- Now bacula-docs just installs pdf files
- Add bacula-server/Makefile.common with -bat, -client-static and nagios_check- stuff (another bacula slave ports can use it too)
- Remove pkg-plist from bacula-bat and nagios-check_bacula
- Now bacula-server, bacula-bat and nagios-check_bacula depend of
bacula-client. It avoids some conflicts when we want to install all
bacula ports in the same system
- Remove the OPTION to install static version of bacula-client. Now it is a new port
- Few other minor changes

Fix: 

Patch files:

http://people.freebsd.org/~acm/ports/bacula/

If you want to test all new bacula ports, you can get it from 

http://people.freebsd.org/~acm/ports/bacula/bacula-ports.tar.gz

This file contains bacula-client-static and nagios-check_bacula ports too
Comment 1 Edwin Groothuis freebsd_committer 2012-05-23 13:01:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-05-23 13:01:49 UTC
Maintainer of sysutils/bacula-server,

Please note that PR ports/167700 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/167700

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-05-23 13:01:53 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Dan Langille 2012-06-05 02:20:32 UTC
I have not forgotten.  Perhaps this weekend.
Comment 5 Dan Langille 2012-07-27 20:48:41 UTC
My apologies for letting your patch sit for so long.  What you've done 
is quite important.  I hope we can get it into the tree soon.

I have just submitted patches to upgrade Bacula to 5.2.10

Let's look at your patches then.

-- 
Dan Langille - http://langille.org/
Comment 6 Dan Langille 2012-07-30 14:56:48 UTC
I have been using your patch.  I started by applying only 
bacula-server.diff against
the latest release and I ran into two hunks that did not apply cleanly. 
I cannot see why.

FYI:


Patching file bacula-server/files/patch-src__cats__Makefile.in using 
Plan A...
Hunk #1 failed at 1.
1 out of 1 hunks failed--saving rejects to 
bacula-server/files/patch-src__cats__Makefile.in.rej

Patching file bacula-server/files/patch-src__lib__Makefile.in using 
Plan A...
Hunk #1 failed at 1.
Hunk #2 succeeded at 14.
Hunk #3 succeeded at 23.
1 out of 3 hunks failed--saving rejects to 
bacula-server/files/patch-src__lib__Makefile.in.rej

I ran out of time before I figure out the problem

-- 
Dan Langille - http://langille.org/
Comment 7 Dan Langille 2012-11-15 00:10:22 UTC
Attached is the latest patch I've been using.  It seems to work just fine.
Comment 8 Ruslan Makhmatkhanov freebsd_committer 2012-12-16 16:39:31 UTC
State Changed
From-To: feedback->closed

Committed, thank you!